package com.ruoyi.syzy.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.syzy.domain.BBusiWishUniversitySubmitMarjors;

/**
 * 院校专业分数线Mapper接口
 *
 * @author mingxue
 * @date 2021-08-20
 */
public interface BBusiWishUniversitySubmitMarjorsMapper {

    public List<BBusiWishUniversitySubmitMarjors> selectYearTypes(Map cond);
    public List<BBusiWishUniversitySubmitMarjors> selectWishUniversitySubmitMarjorsGroups(Map cond);

    public List<BBusiWishUniversitySubmitMarjors> selectWishUniversitySubmitMarjorsByRank(Map cond);

    /**
     * 查询院校专业分数线
     *
     * @param id 院校专业分数线ID
     * @return 院校专业分数线
     */
    public BBusiWishUniversitySubmitMarjors selectBBusiWishUniversitySubmitMarjorsById(Long id);
    public List<BBusiWishUniversitySubmitMarjors> selectBBusiWishUniversitySubmitMarjorsByIds(List<Long> ids);

    /**
     * 查询院校专业分数线列表
     *
     * @param exam 院校专业分数线
     * @return 院校专业分数线集合
     */
    public List<BBusiWishUniversitySubmitMarjors> selectBBusiWishUniversitySubmitMarjorsList(BBusiWishUniversitySubmitMarjors exam);

    /**
     * 层次
     *
     * @return
     */
    public List<String> locations();
    public List<String> levels(@Param("location") String location,@Param("year") Integer year);

    /**
     * 科类
     *
     * @param location
     * @return
     */
    public List<String> types(@Param("location") String location,@Param("year") Integer year);

    /**
     * 录取年份
     *
     * @param location
     * @param type
     * @param level
     * @return
     */
    public List<String> years(@Param("location") String location, @Param("type") String type, @Param("level") String level);
    public List<String> getUniversityNameText(@Param("universityCode") String universityCode,@Param("location") String location,@Param("year") Integer year, @Param("type") String type, @Param("level") String level);

    /**
     * 查询院校专业分数线列表
     *
     * @param map
     * @return
     */
    public List<BBusiWishUniversitySubmitMarjors> search(Map<String, Object> map);

    /**
     *
     * @param string
     * @return
     */
    public List<BBusiWishUniversitySubmitMarjors> query(@Param("sql") String sql);
    /**
     * 新增院校专业分数线
     *
     * @param bBusiWishUniversitySubmitMarjors 院校专业分数线
     * @return 结果
     */
    public int insertBBusiWishUniversitySubmitMarjors(BBusiWishUniversitySubmitMarjors bBusiWishUniversitySubmitMarjors);

    /**
     * 修改院校专业分数线
     *
     * @param bBusiWishUniversitySubmitMarjors 院校专业分数线
     * @return 结果
     */
    public int updateBBusiWishUniversitySubmitMarjors(BBusiWishUniversitySubmitMarjors bBusiWishUniversitySubmitMarjors);

    /**
     * 删除院校专业分数线
     *
     * @param id 院校专业分数线ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitySubmitMarjorsById(Long id);

    /**
     * 批量删除院校专业分数线
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitySubmitMarjorsByIds(Long[] ids);



}
